Subject: Re: 'guix system' failure due to substitute being temporarily 404 -> Implement a retry attempts?

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 30 Jun 2022 11:09:17 +0200

merge 56319 56320
thanks

Am Donnerstag, dem 30.06.2022 um 08:19 +0000 schrieb Jacob Hrbek:
> Seems that the substitute server went down just as i was doing `guix 
> system reconfigure /path/to/config.scm` which produced a failure thus
> proposing to implement a retry attempts to make this process more 
> reliable in mission critical environment
While retrying and potentially falling back to local builds would be
nice improvements to user experience, I seriously hope your mission-
critical software does not assume reliability of anything network-
related.  As a matter of fact, Guix already provides the only guarantee
any system can have under this circumstance: that your device won't be
bricked when failing to download something from the internet.

Cheers